commit:     993cb0c6d05497c9b896d2eda0281123f0f1f734
Author:     mudler <mudler <AT> dark-lab <DOT> net>
AuthorDate: Mon Jul 21 11:54:01 2014 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Mon Jul 21 21:40:00 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=993cb0c6

Adding Algorithm::ClusterPoints

Package-Manager: portage-2.2.8-r1
Manifest-Sign-Key: B5F1512B

---
 .../Algorithm-ClusterPoints-0.80.0.ebuild          | 29 ++++++++++++++++++++++
 dev-perl/Algorithm-ClusterPoints/ChangeLog         |  9 +++++++
 dev-perl/Algorithm-ClusterPoints/metadata.xml      | 13 ++++++++++
 3 files changed, 51 insertions(+)

diff --git 
a/dev-perl/Algorithm-ClusterPoints/Algorithm-ClusterPoints-0.80.0.ebuild 
b/dev-perl/Algorithm-ClusterPoints/Algorithm-ClusterPoints-0.80.0.ebuild
new file mode 100644
index 0000000..0f7cb9e
--- /dev/null
+++ b/dev-perl/Algorithm-ClusterPoints/Algorithm-ClusterPoints-0.80.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=SALVA
+MODULE_VERSION=0.08
+inherit perl-module
+
+DESCRIPTION='find clusters inside a set of points'
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_runtime() {
+       # Test::More
+       echo virtual/perl-Test-Simple
+}
+perl_meta_test(){
+       # Test::More
+       echo virtual/perl-Test-Simple
+}
+DEPEND="
+       $(perl_meta_runtime)
+       test? ( $(perl_meta_test) )
+"
+RDEPEND="
+       $(perl_meta_runtime)
+"
+SRC_TEST="do"

diff --git a/dev-perl/Algorithm-ClusterPoints/ChangeLog 
b/dev-perl/Algorithm-ClusterPoints/ChangeLog
new file mode 100644
index 0000000..a4ae114
--- /dev/null
+++ b/dev-perl/Algorithm-ClusterPoints/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for dev-perl/Algorithm-ClusterPoints
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*Algorithm-ClusterPoints-0.80.0 (21 Jul 2014)
+
+  21 Jul 2014; mudler <[email protected]>
+  +Algorithm-ClusterPoints-0.80.0.ebuild, +metadata.xml:
+  [added] Algorithm::ClusterPoints

diff --git a/dev-perl/Algorithm-ClusterPoints/metadata.xml 
b/dev-perl/Algorithm-ClusterPoints/metadata.xml
new file mode 100644
index 0000000..bcc930f
--- /dev/null
+++ b/dev-perl/Algorithm-ClusterPoints/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <herd>perl</herd>
+       <maintainer>
+               <email>[email protected]</email>
+               <name>mudler</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="cpan">Algorithm-ClusterPoints</remote-id>
+               <remote-id 
type="cpan-module">Algorithm::ClusterPoints</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to